package com.pcloud.book.timecontrol.mapper;


import com.pcloud.book.timecontrol.dto.ReplyMessageBaseDto;
import com.pcloud.book.timecontrol.entity.TimeControlTaskItem;
import com.pcloud.book.timecontrol.entity.TimeControlWeekDay;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component("taskItemWeekMapper")
public interface TimeControlTaskItemWeekMapper {


    int batchInsert(List<TimeControlWeekDay> record);

    List<TimeControlWeekDay> selectByItemId(Integer taskItemId);


    Integer getMaxWeekDay(Integer taskItemId);

  void batchDelete(List<Integer> taskItemIds);

    List<TimeControlWeekDay> getByTaskItemIds(@Param("taskItemIds") List<Integer> taskItemIds);
}
